Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 457941 - Remove /etc/mtab from /etc/rwtab
Summary: Remove /etc/mtab from /etc/rwtab
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-08-05 16:47 UTC by Warren Togami
Modified: 2014-03-17 03:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-03 18:43:40 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-08-05 16:47:09 UTC
Please remove /etc/mtab from the default /etc/rwtab shipped in initscripts.

Due to Bug #214891 /etc/mtab in rwtab was never useful.  Until that bug is fixed or we have union mounts, symlinking /etc/mtab to /proc/mounts is the standard for read-only roots.

With /etc/mtab in rwtab an ugly error message happens during boot.

Comment 1 Bug Zapper 2008-11-26 02:40:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.